Bug 10118 - Samba is chatty about being unable to open a printer
Samba is chatty about being unable to open a printer
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.18
All Linux
: P5 enhancement
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 14:36 UTC by Alex K
Modified: 2013-10-29 10:26 UTC (History)
0 users

See Also:


Attachments
patch-setting-devug-level-to-3 (456 bytes, patch)
2013-09-06 19:05 UTC, Alex K
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex K 2013-08-27 14:36:22 UTC
I have lots of lines like this in the printserver log:

Aug 27 13:00:54 printserver3.local smbd[19402]: [2013/08/27 06:00:54.084385,  0] rpc_server/spoolss/srv_spoolss_nt.c:1748(_spoolss_OpenPrinterEx)
Aug 27 13:00:54 printserver3.local smbd[19402]:   _spoolss_OpenPrinterEx: Cannot open a printer handle for printer \\printserver3

Judging from the referenced code, Samba simply tests whether the user is looking for a printer or just traversing a tree of the printserver to get to the printer.

Does it really need to be log level 0 message?
Comment 1 Guenther Deschner 2013-08-27 14:59:49 UTC
No, you're right. We increase it.
Comment 2 Alex K 2013-09-06 19:05:20 UTC
Created attachment 9196 [details]
patch-setting-devug-level-to-3

Patch to raise debug level to 3 for this message
Comment 3 Jeremy Allison 2013-09-10 19:05:15 UTC
Comment on attachment 9196 [details]
patch-setting-devug-level-to-3

Looks good to me. Guenther, can I get a second review ?
Comment 4 Guenther Deschner 2013-09-10 20:21:12 UTC
Comment on attachment 9196 [details]
patch-setting-devug-level-to-3

Yep, absolutely correct.
Comment 5 Jeremy Allison 2013-09-11 21:23:39 UTC
Applies cleanly to 4.1.0 and 4.0.x with:

git cherry-pick -x d809cf653b624a9fde48de3b0c2ab58aca705c50

from master.

Re-assigning to Karolin for inclusion.

Jeremy.
Comment 6 Karolin Seeger 2013-09-12 07:43:20 UTC
(In reply to comment #5)
> Applies cleanly to 4.1.0 and 4.0.x with:
> 
> git cherry-pick -x d809cf653b624a9fde48de3b0c2ab58aca705c50
> 
> from master.
> 
> Re-assigning to Karolin for inclusion.
> 
> Jeremy.

Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-09-16 07:08:50 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!
Comment 8 Alex K 2013-09-26 18:30:45 UTC
It didn't make it to 3.6.19?
Comment 9 Karolin Seeger 2013-09-27 06:39:37 UTC
(In reply to comment #8)
> It didn't make it to 3.6.19?

No, sorry. Maybe I understood Jeremy's comment...
Comment 10 Jeremy Allison 2013-09-27 09:19:55 UTC
Oh, sorry. Didn't notice it was logged against 3.6.x. If the fix applies cleanly to 3.6.x then I'd say apply if we ever do another 3.6 release.

Jeremy.
Comment 11 Marc Muehlfeld 2013-10-25 04:54:48 UTC
(In reply to comment #10)
> Oh, sorry. Didn't notice it was logged against 3.6.x. If the fix applies
> cleanly to 3.6.x then I'd say apply if we ever do another 3.6 release.


The patch applies fine to 3.6.19. Can you please pick it up for the next 3.6 release? Thank you.
Comment 12 David Disseldorp 2013-10-29 10:12:51 UTC
(In reply to comment #11)
> The patch applies fine to 3.6.19. Can you please pick it up for the next 3.6
> release? Thank you.

Thanks Marc.

@Karolin: please pull for 3.6.20.
Comment 13 Karolin Seeger 2013-10-29 10:26:35 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!